Build triggers for 14.04 as well as 16.04?


(Alex Blewitt) #1

Recently I've had a change cause problems on Ubuntu 14.04 where the problem wasn't visible on Ubuntu 16.04. Because they passed the smoke tests, they were committed, yet immediately broke the 14.04 build and were reverted.

Is there a way we can get the @swift-ci please test handler to kick off an equivalent 14.04 build, or provide another mechanism to allow a pull request to be explicitly tested for Ubuntu 14.04 compatibility? That way we can avoid such breakages in the future.

Thanks,

Alex


(Ankit Aggarwal) #2

+swift-dev

swift-dev is right place for this. swift-build-dev is for SwiftPM and llbuild related discussions.

···

On 17-Jan-2017, at 11:36 PM, Alex Blewitt via swift-build-dev <swift-build-dev@swift.org> wrote:

Recently I've had a change cause problems on Ubuntu 14.04 where the problem wasn't visible on Ubuntu 16.04. Because they passed the smoke tests, they were committed, yet immediately broke the 14.04 build and were reverted.

Is there a way we can get the @swift-ci please test handler to kick off an equivalent 14.04 build, or provide another mechanism to allow a pull request to be explicitly tested for Ubuntu 14.04 compatibility? That way we can avoid such breakages in the future.

Thanks,

Alex
_______________________________________________
swift-build-dev mailing list
swift-build-dev@swift.org
https://lists.swift.org/mailman/listinfo/swift-build-dev


(Mishal Shah) #3

Hi Alex,

Can you please file a bug on bugs.swift.org?

Thanks,
Mishal Shah

···

On Jan 17, 2017, at 10:32 AM, Ankit Aggarwal <ankit_aggarwal@apple.com> wrote:

+swift-dev

swift-dev is right place for this. swift-build-dev is for SwiftPM and llbuild related discussions.

On 17-Jan-2017, at 11:36 PM, Alex Blewitt via swift-build-dev <swift-build-dev@swift.org> wrote:

Recently I've had a change cause problems on Ubuntu 14.04 where the problem wasn't visible on Ubuntu 16.04. Because they passed the smoke tests, they were committed, yet immediately broke the 14.04 build and were reverted.

Is there a way we can get the @swift-ci please test handler to kick off an equivalent 14.04 build, or provide another mechanism to allow a pull request to be explicitly tested for Ubuntu 14.04 compatibility? That way we can avoid such breakages in the future.

Thanks,

Alex
_______________________________________________
swift-build-dev mailing list
swift-build-dev@swift.org
https://lists.swift.org/mailman/listinfo/swift-build-dev